Package com.io7m.idstore.server.service.configuration.jaxb

# Class RateLimiting

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.RateLimiting

public class RateLimiting extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="UserLoginDelay" type="{http://www.w3.org/2001/XMLSchema}duration" default="PT1S" />
           <attribute name="UserLoginRateLimit" type="{http://www.w3.org/2001/XMLSchema}duration" default="PT5S" />
           <attribute name="AdminLoginDelay" type="{http://www.w3.org/2001/XMLSchema}duration" default="PT1S" />
           <attribute name="AdminLoginRateLimit" type="{http://www.w3.org/2001/XMLSchema}duration" default="PT5S" />
           <attribute name="EmailVerificationRateLimit" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
           <attribute name="PasswordResetRateLimit" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Duration`
  `adminLoginDelay`
  `protected Duration`
  `adminLoginRateLimit`
  `protected Duration`
  `emailVerificationRateLimit`
  `protected Duration`
  `passwordResetRateLimit`
  `protected Duration`
  `userLoginDelay`
  `protected Duration`
  `userLoginRateLimit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RateLimiting()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getAdminLoginDelay()`
  Gets the value of the adminLoginDelay property.
  `Duration`
  `getAdminLoginRateLimit()`
  Gets the value of the adminLoginRateLimit property.
  `Duration`
  `getEmailVerificationRateLimit()`
  Gets the value of the emailVerificationRateLimit property.
  `Duration`
  `getPasswordResetRateLimit()`
  Gets the value of the passwordResetRateLimit property.
  `Duration`
  `getUserLoginDelay()`
  Gets the value of the userLoginDelay property.
  `Duration`
  `getUserLoginRateLimit()`
  Gets the value of the userLoginRateLimit property.
  `void`
  `setAdminLoginDelay(Duration value)`
  Sets the value of the adminLoginDelay property.
  `void`
  `setAdminLoginRateLimit(Duration value)`
  Sets the value of the adminLoginRateLimit property.
  `void`
  `setEmailVerificationRateLimit(Duration value)`
  Sets the value of the emailVerificationRateLimit property.
  `void`
  `setPasswordResetRateLimit(Duration value)`
  Sets the value of the passwordResetRateLimit property.
  `void`
  `setUserLoginDelay(Duration value)`
  Sets the value of the userLoginDelay property.
  `void`
  `setUserLoginRateLimit(Duration value)`
  Sets the value of the userLoginRateLimit property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userLoginDelay

    protected Duration userLoginDelay

  - ### userLoginRateLimit

    protected Duration userLoginRateLimit

  - ### adminLoginDelay

    protected Duration adminLoginDelay

  - ### adminLoginRateLimit

    protected Duration adminLoginRateLimit

  - ### emailVerificationRateLimit

    protected Duration emailVerificationRateLimit

  - ### passwordResetRateLimit

    protected Duration passwordResetRateLimit

- ## Constructor Details

  - ### RateLimiting

    public RateLimiting()

- ## Method Details

  - ### getUserLoginDelay

    public Duration getUserLoginDelay()
    Gets the value of the userLoginDelay property.
    Returns:
      possible object is `Duration`

  - ### setUserLoginDelay

    public void setUserLoginDelay(Duration value)
    Sets the value of the userLoginDelay property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getUserLoginRateLimit

    public Duration getUserLoginRateLimit()
    Gets the value of the userLoginRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setUserLoginRateLimit

    public void setUserLoginRateLimit(Duration value)
    Sets the value of the userLoginRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getAdminLoginDelay

    public Duration getAdminLoginDelay()
    Gets the value of the adminLoginDelay property.
    Returns:
      possible object is `Duration`

  - ### setAdminLoginDelay

    public void setAdminLoginDelay(Duration value)
    Sets the value of the adminLoginDelay property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getAdminLoginRateLimit

    public Duration getAdminLoginRateLimit()
    Gets the value of the adminLoginRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setAdminLoginRateLimit

    public void setAdminLoginRateLimit(Duration value)
    Sets the value of the adminLoginRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getEmailVerificationRateLimit

    public Duration getEmailVerificationRateLimit()
    Gets the value of the emailVerificationRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setEmailVerificationRateLimit

    public void setEmailVerificationRateLimit(Duration value)
    Sets the value of the emailVerificationRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getPasswordResetRateLimit

    public Duration getPasswordResetRateLimit()
    Gets the value of the passwordResetRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setPasswordResetRateLimit

    public void setPasswordResetRateLimit(Duration value)
    Sets the value of the passwordResetRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`